# build choices: default,release

# platform: linux-2.2-libc6-i386-gcc2.95

RM=rm -f

RM_DIR=rm -rf

MAKE_DEP=echo

MAKE_DEP_FLAGS=$(INCLUDES) $(DEFINES)

MAKE_LIB=ar cr

MAKE_LIB_FLAGS=

RANLIB=ranlib

CP=cp

MAKE=make

CC=gcc

CCFLAGS=--permissive -pipe -W -Wreturn-type -fno-rtti -fno-exceptions -O2  $(INCLUDES) $(DEFINES)

CXX=g++

CXXFLAGS=--permissive -pipe -W -Wreturn-type -fno-rtti -fno-exceptions -O2  $(INCLUDES) $(DEFINES)

SRCS=InWAVReader.cpp InWAVFilter.cpp InWAVAgent.cpp InWAVPlugin.cpp

OBJS=$(COMPILED_OBJS) $(SOURCE_OBJS)

COMPILED_OBJS=rel/obj/RSInWAVPlugin/InWAVReader.o rel/obj/RSInWAVPlugin/InWAVFilter.o rel/obj/RSInWAVPlugin/InWAVAgent.o rel/obj/RSInWAVPlugin/InWAVPlugin.o

SOURCE_OBJS=

INCLUDES=-I/usr/X11R6/include -I../../include

DEFINES=-D_UNIX -DFD_SETSIZE=2048 -D_LINUX -D_REENTRANT -D_RED_HAT_5_X_ -D_LITTLE_ENDIAN -D_UNIX_THREADED_NETWORK_IO -D_UNIX_THREADS_SUPPORTED -DHELIX_FEATURE_FULLGUID

STATIC_LIBS=

.SUFFIXES: .cpp .so

.c.o: 
	$(CC) $(CCFLAGS) -fPIC -DPIC -o  $@ -c $<

.cpp.o: 
	$(CXX) $(CXXFLAGS) -fPIC -DPIC -o  $@ -c $<


rel/InWAVPlugin.so.0.1: $(OBJS) $(STATIC_LIBS)
	if test -d rel; then echo; else mkdir rel; fi
	gcc -shared InWAVPlugin.exp -o rel/InWAVPlugin.so.0.1 $(OBJS) -L/usr/X11R6/lib $(DYNAMIC_LIBS)
	
rel/obj/RSInWAVPlugin/InWAVReader.o: InWAVReader.cpp
	-@if test -d rel; then echo; else mkdir rel; fi
	-@if test -d rel/obj; then echo; else mkdir rel/obj; fi
	-@if test -d rel/obj/RSInWAVPlugin; then echo; else mkdir rel/obj/RSInWAVPlugin; fi
	$(CXX) $(CXXFLAGS) -fPIC -DPIC -o rel/obj/RSInWAVPlugin/InWAVReader.o -c InWAVReader.cpp

rel/obj/RSInWAVPlugin/InWAVFilter.o: InWAVFilter.cpp
	-@if test -d rel; then echo; else mkdir rel; fi
	-@if test -d rel/obj; then echo; else mkdir rel/obj; fi
	-@if test -d rel/obj/RSInWAVPlugin; then echo; else mkdir rel/obj/RSInWAVPlugin; fi
	$(CXX) $(CXXFLAGS) -fPIC -DPIC -o rel/obj/RSInWAVPlugin/InWAVFilter.o -c InWAVFilter.cpp

rel/obj/RSInWAVPlugin/InWAVAgent.o: InWAVAgent.cpp
	-@if test -d rel; then echo; else mkdir rel; fi
	-@if test -d rel/obj; then echo; else mkdir rel/obj; fi
	-@if test -d rel/obj/RSInWAVPlugin; then echo; else mkdir rel/obj/RSInWAVPlugin; fi
	$(CXX) $(CXXFLAGS) -fPIC -DPIC -o rel/obj/RSInWAVPlugin/InWAVAgent.o -c InWAVAgent.cpp

rel/obj/RSInWAVPlugin/InWAVPlugin.o: InWAVPlugin.cpp
	-@if test -d rel; then echo; else mkdir rel; fi
	-@if test -d rel/obj; then echo; else mkdir rel/obj; fi
	-@if test -d rel/obj/RSInWAVPlugin; then echo; else mkdir rel/obj/RSInWAVPlugin; fi
	$(CXX) $(CXXFLAGS) -fPIC -DPIC -o rel/obj/RSInWAVPlugin/InWAVPlugin.o -c InWAVPlugin.cpp

clean: 
	$(RM) rel/InWAVPlugin.so.0.1  $(COMPILED_OBJS)

copy: 
	if test -d ../release; then echo; else mkdir ../release; fi
	cp rel/InWAVPlugin.so.0.1 ../release/InWAVPlugin.so.0.1

depend: 
	$(MAKE_DEP) $(MAKE_DEP_FLAGS) rel/obj/RSInWAVPlugin/ $(SRCS)

