# build choices: default,release

# platform: linux-2.2-libc6-i386-gcc2.95

RM=rm -f

RM_DIR=rm -rf

MAKE_DEP=echo

MAKE_DEP_FLAGS=$(INCLUDES) $(DEFINES)

MAKE_LIB=ar cr

MAKE_LIB_FLAGS=

RANLIB=ranlib

CP=cp

MAKE=make

CC=gcc

CCFLAGS=--permissive -pipe -W -Wreturn-type -fno-rtti -fno-exceptions -O2  $(INCLUDES) $(DEFINES)

CXX=g++

CXXFLAGS=--permissive -pipe -W -Wreturn-type -fno-rtti -fno-exceptions -O2  $(INCLUDES) $(DEFINES)

SRCS=PrefilterExampleTransform.cpp PrefilterExampleFilter.cpp PrefilterExampleAgent.cpp PrefilterExamplePlugin.cpp

OBJS=$(COMPILED_OBJS) $(SOURCE_OBJS)

COMPILED_OBJS=rel/obj/RSPrefilterExamplePlugin/PrefilterExampleTransform.o rel/obj/RSPrefilterExamplePlugin/PrefilterExampleFilter.o rel/obj/RSPrefilterExamplePlugin/PrefilterExampleAgent.o rel/obj/RSPrefilterExamplePlugin/PrefilterExamplePlugin.o

SOURCE_OBJS=

INCLUDES=-I/usr/X11R6/include -I../../include

DEFINES=-D_UNIX -DFD_SETSIZE=2048 -D_LINUX -D_REENTRANT -D_RED_HAT_5_X_ -D_LITTLE_ENDIAN -D_UNIX_THREADED_NETWORK_IO -D_UNIX_THREADS_SUPPORTED -DHELIX_FEATURE_FULLGUID

STATIC_LIBS=

.SUFFIXES: .cpp .so

.c.o: 
	$(CC) $(CCFLAGS) -fPIC -DPIC -o  $@ -c $<

.cpp.o: 
	$(CXX) $(CXXFLAGS) -fPIC -DPIC -o  $@ -c $<


rel/PrefilterExamplePlugin.so.0.1: $(OBJS) $(STATIC_LIBS)
	if test -d rel; then echo; else mkdir rel; fi
	gcc -shared PrefilterExamplePlugin.exp -o rel/PrefilterExamplePlugin.so.0.1 $(OBJS) -L/usr/X11R6/lib $(DYNAMIC_LIBS)
	
rel/obj/RSPrefilterExamplePlugin/PrefilterExampleTransform.o: PrefilterExampleTransform.cpp
	-@if test -d rel; then echo; else mkdir rel; fi
	-@if test -d rel/obj; then echo; else mkdir rel/obj; fi
	-@if test -d rel/obj/RSPrefilterExamplePlugin; then echo; else mkdir rel/obj/RSPrefilterExamplePlugin; fi
	$(CXX) $(CXXFLAGS) -fPIC -DPIC -o rel/obj/RSPrefilterExamplePlugin/PrefilterExampleTransform.o -c PrefilterExampleTransform.cpp

rel/obj/RSPrefilterExamplePlugin/PrefilterExampleFilter.o: PrefilterExampleFilter.cpp
	-@if test -d rel; then echo; else mkdir rel; fi
	-@if test -d rel/obj; then echo; else mkdir rel/obj; fi
	-@if test -d rel/obj/RSPrefilterExamplePlugin; then echo; else mkdir rel/obj/RSPrefilterExamplePlugin; fi
	$(CXX) $(CXXFLAGS) -fPIC -DPIC -o rel/obj/RSPrefilterExamplePlugin/PrefilterExampleFilter.o -c PrefilterExampleFilter.cpp

rel/obj/RSPrefilterExamplePlugin/PrefilterExampleAgent.o: PrefilterExampleAgent.cpp
	-@if test -d rel; then echo; else mkdir rel; fi
	-@if test -d rel/obj; then echo; else mkdir rel/obj; fi
	-@if test -d rel/obj/RSPrefilterExamplePlugin; then echo; else mkdir rel/obj/RSPrefilterExamplePlugin; fi
	$(CXX) $(CXXFLAGS) -fPIC -DPIC -o rel/obj/RSPrefilterExamplePlugin/PrefilterExampleAgent.o -c PrefilterExampleAgent.cpp

rel/obj/RSPrefilterExamplePlugin/PrefilterExamplePlugin.o: PrefilterExamplePlugin.cpp
	-@if test -d rel; then echo; else mkdir rel; fi
	-@if test -d rel/obj; then echo; else mkdir rel/obj; fi
	-@if test -d rel/obj/RSPrefilterExamplePlugin; then echo; else mkdir rel/obj/RSPrefilterExamplePlugin; fi
	$(CXX) $(CXXFLAGS) -fPIC -DPIC -o rel/obj/RSPrefilterExamplePlugin/PrefilterExamplePlugin.o -c PrefilterExamplePlugin.cpp

clean: 
	$(RM) rel/PrefilterExamplePlugin.so.0.1  $(COMPILED_OBJS)

copy: 
	if test -d ../release; then echo; else mkdir ../release; fi
	cp rel/PrefilterExamplePlugin.so.0.1 ../release/PrefilterExamplePlugin.so.0.1

depend: 
	$(MAKE_DEP) $(MAKE_DEP_FLAGS) rel/obj/RSPrefilterExamplePlugin/ $(SRCS)

