/* ***** BEGIN LICENSE BLOCK ***** 
 * Version: RCSL 1.0/RPSL 1.0 
 *  
 * Portions Copyright (c) 1995-2002 RealNetworks, Inc. All Rights Reserved. 
 *      
 * The contents of this file, and the files included with this file, are 
 * subject to the current version of the RealNetworks Public Source License 
 * Version 1.0 (the "RPSL") available at 
 * http://www.helixcommunity.org/content/rpsl unless you have licensed 
 * the file under the RealNetworks Community Source License Version 1.0 
 * (the "RCSL") available at http://www.helixcommunity.org/content/rcsl, 
 * in which case the RCSL will apply. You may also obtain the license terms 
 * directly from RealNetworks.  You may not use this file except in 
 * compliance with the RPSL or, if you have a valid RCSL with RealNetworks 
 * applicable to this file, the RCSL.  Please see the applicable RPSL or 
 * RCSL for the rights, obligations and limitations governing use of the 
 * contents of the file.  
 *  
 * This file is part of the Helix DNA Technology. RealNetworks is the 
 * developer of the Original Code and owns the copyrights in the portions 
 * it created. 
 *  
 * This file, and the files included with this file, is distributed and made 
 * available on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER 
 * EXPRESS OR IMPLIED, AND REALNETWORKS HEREBY DISCLAIMS ALL SUCH WARRANTIES, 
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS 
 * FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. 
 * 
 * Technology Compatibility Kit Test Suite(s) Location: 
 *    http://www.helixcommunity.org/content/tck 
 * 
 * Contributor(s): 
 *  
 * ***** END LICENSE BLOCK ***** */

#ifndef _CRMEVAPP_
#define _CRMEVAPP_

#include "hxtypes.h"
#include "hxresult.h"
#include "hxcom.h"


struct IHXRMEvents;

class CRMEventsApp
{
public:

    CRMEventsApp();
    ~CRMEventsApp();
    HX_RESULT		Initialize(UINT16 argc, const char ** argv);
    HX_RESULT		Process(void);
	void			Usage(void);
	void			Log(const char* pLogString);

protected:

	void			HandleSDKError(HX_RESULT theRes);
	HX_RESULT		CreateEventsSDK(void);

#ifdef _WINDOWS
	HMODULE m_RmtoolsDLL;
#else
	void* m_RmtoolsDLL;
#endif
	
	IHXRMEvents* 	m_pEvents;

	BOOL			m_bHasInputFile;
	BOOL			m_bHasOutputFile;
	BOOL			m_bHasDumpFile;
	BOOL			m_bUseLogFile;
	BOOL			m_bUsageOnly;
};


#endif /*_CRMEVAPP_*/
